Package org.springframework.validation.support

# Class BindingAwareModelMap

java.lang.Object
java.util.AbstractMap<K,V>
java.util.HashMap<K,V>
java.util.LinkedHashMap<String,Object>
org.springframework.ui.ModelMap
org.springframework.ui.ExtendedModelMap
org.springframework.validation.support.BindingAwareModelMap

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<String,Object>`, `Model`

public class BindingAwareModelMap extends ExtendedModelMap
Subclass of `ExtendedModelMap` that automatically removes a `BindingResult` object if the corresponding target attribute gets replaced through regular `Map` operations.

This is the class exposed to handler methods by Spring MVC, typically consumed through a declaration of the `Model` interface. There is no need to build it within user code; a plain `ModelMap` or even a just a regular `Map` with String keys will be good enough to return a user model.

Since:
  2.5.6
Author:
  Juergen Hoeller
See Also:
  - `BindingResult`
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K extends Object,V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,V extends Object>`

## Constructor Summary

Constructors
Constructor
Description
`BindingAwareModelMap()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`put(String key, Object value)`
`void`
`putAll(Map<? extends String,?> map)`

### Methods inherited from class org.springframework.ui.ExtendedModelMap

`addAllAttributes, addAllAttributes, addAttribute, addAttribute, asMap, mergeAttributes`

### Methods inherited from class org.springframework.ui.ModelMap

`containsAttribute, getAttribute`

### Methods inherited from class java.util.LinkedHashMap

`clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, removeEldestEntry, replaceAll, values`

### Methods inherited from class java.util.HashMap

`clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, putIfAbsent, remove, remove, replace, replace, size`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, putIfAbsent, remove, remove, replace, replace, size`

### Methods inherited from interface org.springframework.ui.Model

`containsAttribute, getAttribute`

## Constructor Details

### BindingAwareModelMap

public BindingAwareModelMap()

## Method Details

### put

public Object put(String key, @Nullable Object value)

Specified by:
  `put` in interface `Map<String,Object>`
Overrides:
  `put` in class `HashMap<String,Object>`

### putAll

public void putAll(Map<? extends String,?> map)

Specified by:
  `putAll` in interface `Map<String,Object>`
Overrides:
  `putAll` in class `HashMap<String,Object>`